Activity log for bug #1522295

Date Who What changed Old value New value Message
2015-12-03 07:34:21 Daniel van Vugt bug added bug
2015-12-03 07:36:03 Daniel van Vugt description [regression] Motion event smoothness lost with the introduction of libinput. Using a mouse and mir_demo_client_fingerpaint, you can see that the introduction of libinput has made the event stream more jagged and irregular. This issue was first reported in: https://code.launchpad.net/~andreas-pokorny/mir/load-all-supported-input-platforms/+merge/274421 but the offending code landed anyway. [regression] Motion event smoothness lost with the introduction of libinput. Using a mouse and mir_demo_client_fingerpaint, you can see that the introduction of libinput has made the event stream more jagged and irregular. This issue was first reported in: https://code.launchpad.net/~andreas-pokorny/mir/load-all-supported-input-platforms/+merge/274421
2015-12-08 21:32:15 Lime bug added subscriber Lime
2015-12-09 01:24:22 Daniel van Vugt tags input regression input pointer-events regression
2015-12-14 08:54:54 Daniel van Vugt branch linked lp:~vanvugt/mir/disable-libinput-pointer-acceleration
2015-12-14 08:54:58 Daniel van Vugt mir: assignee Daniel van Vugt (vanvugt)
2015-12-14 08:55:01 Daniel van Vugt mir: status Triaged In Progress
2015-12-14 09:49:11 Andreas Pokorny mir: status In Progress Incomplete
2015-12-14 10:08:27 Daniel van Vugt description [regression] Motion event smoothness lost with the introduction of libinput. Using a mouse and mir_demo_client_fingerpaint, you can see that the introduction of libinput has made the event stream more jagged and irregular. This issue was first reported in: https://code.launchpad.net/~andreas-pokorny/mir/load-all-supported-input-platforms/+merge/274421 [regression] Motion event smoothness lost with the introduction of libinput. Using a mouse and mir_demo_client_fingerpaint and drawing smooth curves, you can see that the introduction of libinput has made the event stream more jagged and irregular in Mir 0.18, compared to Mir 0.17. This issue was first reported in: https://code.launchpad.net/~andreas-pokorny/mir/load-all-supported-input-platforms/+merge/274421
2015-12-14 10:08:32 Daniel van Vugt mir: status Incomplete Triaged
2015-12-14 10:08:36 Daniel van Vugt mir: importance High Medium
2015-12-15 01:48:24 Daniel van Vugt mir: milestone 0.19.0
2015-12-15 01:48:27 Daniel van Vugt mir: assignee Daniel van Vugt (vanvugt)
2015-12-15 02:44:48 Daniel van Vugt branch linked lp:~andreas-pokorny/mir/add-option-to-disable-acceleration
2016-01-21 01:21:27 PS Jenkins bot mir: status Triaged Fix Committed
2016-01-21 03:23:35 Daniel van Vugt mir: status Fix Committed Triaged
2016-04-12 08:23:10 Daniel van Vugt tags input pointer-events regression input libinput pointer-events regression
2016-05-06 21:23:51 bam bug added subscriber bam
2017-03-23 05:38:07 Chen-Han Hsiao (Stanley) bug added subscriber Chen-Han Hsiao (Stanley)
2017-11-03 16:26:19 Michał Sawicz mir (Ubuntu): importance Undecided Medium
2017-11-03 16:26:19 Michał Sawicz mir (Ubuntu): status New Triaged